✊🏿 Black Lives Matter. Please consider donating to Black Girls Code today.
🐇 Announcing Dash VTK for 3d simulation graphics. Check out the March webinar.

Warning when installing plotlyin RStuduio - status 1

Good evening,

When installing package plotly in RStudio i keep getting an error/warning.

THIS is the command i use:
“install.packages(“plotly”, repos=“http://cran.rstudio.com/”, dependencies=TRUE)”

And THIS is the output on screen:
installing the source package ‘plotly’

trying URL 'http://cran.rstudio.com/src/contrib/plotly_4.5.2.tar.gz
Content type ‘application/x-gzip’ length 731185 bytes (714 KB)
downloaded 714 KB

‘C:\Program’ is not recognized as an internal or external command,
operable program or batch file.
Warning in install.packages :
_ running command ‘“C:/Program Files/R/R-3.3.1/bin/x64/R” CMD INSTALL -l “C:\Program Files\R\R-3.3.1\library” C:\Users\rutten00\AppData\Local\Temp\RtmpSAZTyp/downloaded_packages/plotly_4.5.2.tar.gz’ had status 1_
Warning in install.packages :
_ installation of package ‘plotly’ had non-zero exit status_

Any help is appreciated.

Hi there,
Looks like you were experiencing an issue similar to the one reported here: https://github.com/rstudio/DT/issues/98
Since it typically takes longer for the binaries to be built (and we just released the package yesterday), you may be able to try again now and install the package successfully.
Otherwise you can follow our recommended installation instructions
and either run install.packages("plotly") to get the latest CRAN version or devtools::install_github("ropensci/plotly") for the latest dev version (since we released the CRAN version yesterday, these are the same for the moment.)

Yes! It installed succesfully!
Thanks!

1 Like